CollectionsDirect DebitCollections

List Direct Debit Collections

GET
/v1/direct-debit-payments

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

curl -X GET "https://example.com/v1/direct-debit-payments"
{  "data": [    {      "amount": 0,      "batchId": "string",      "createdAt": "string",      "currency": "string",      "customerReference": "string",      "directDebitAuthorizationId": "string",      "directDebitAuthorizationInformation": {        "billReferenceNumber": "string",        "internalAccountId": "string",        "payerBankAccountNumber": "string",        "payerName": "string",        "payerSwiftBic": "string"      },      "id": "string",      "metadata": {        "fileName": "string"      },      "paymentDate": "string",      "previousPaymentStatus": "string",      "receiver": {        "bankAccountNumber": "string"      },      "resultCode": "string",      "status": "string",      "type": "string",      "underlyingErrorMessage": "string",      "updatedAt": "string"    }  ],  "hasMore": true}